View Issue Details

IDProjectCategoryView StatusLast Update
0000151ascendbuild-linuxpublic2009-05-01 17:48
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.5.x 
Summary0000151: tcl/tk looks for packages in /usr/share not /usr/lib
DescriptionThe Tcl/Tk RPMs that I have expect Tcl extension packages to be installed in /usr/share. But by default, TkTable expects to install itself in /usr/lib.

This means that TkTable only gets found when running code that was installed under /usr. In particular, running ASCEND from ~/ascroot/ means that a root-install of Tcl/Tk won't find your TkTable installation.

Solution will be to fiddle with the Tcl/Tk package and make a tweak.
TagsNo tags attached.

Relationships

related to 0000199 resolvedjohn Update autoconf macros: dl-unloading, BLAS detection, Tcl/Tk detection, value of NULL etc etc. 
child of 0000093 resolvedben Update for Tcl/Tk 8.4 

Activities

john

2008-07-10 16:43

administrator   ~0000473

Ascend is working on now on Fedora 9, so I think this problem is probably resolved for the moment.

Issue History

Date Modified Username Field Change
2005-12-06 08:11 john New Issue
2006-01-05 02:18 john Relationship added related to 0000199
2006-01-24 14:18 john Relationship added child of 0000093
2006-02-07 13:17 john Target release => 1.0
2006-02-07 13:22 john Target release 1.0 => 0.9.6
2006-05-10 03:51 john Target release 0.9.6 => 1.0
2008-02-10 17:59 john Status new => assigned
2008-02-10 17:59 john Assigned To => john
2008-07-10 16:43 john Status assigned => resolved
2008-07-10 16:43 john Resolution open => fixed
2008-07-10 16:43 john Note Added: 0000473
2008-07-10 16:43 john Fixed in Version => 0.9.5.x
2009-05-01 17:48 john Status resolved => closed